Download it now!
Bug 125939 - Correct/improve tooltips for tools on Drawing toolbar in Draw
Summary: Correct/improve tooltips for tools on Drawing toolbar in Draw
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium enhancement
Assignee: Roman Kuznetsov
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on: UNO-Command-Label
Blocks: Toolbars-Tooltips
  Show dependency treegraph
 
Reported: 2019-06-15 14:16 UTC by Roman Kuznetsov
Modified: 2019-07-04 12:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2019-06-15 14:16:30 UTC
Description:
Make more right tooltips for tools on Drawing toolbar in Draw
We have now: 

tool's names - its tooltips:

Lines and Arrows - the same
Curves and Polygons - the same
Connectors - Connector
Basic shapes - Insert Basic Shapes
Symbol Shapes - Symbol
Block Arrows - Arrows
Flowchart - the same
Callouts - Callout
Stars and Banners - Star
3D-Objects - 3D Objects

I suggest to change tooltips

Steps to Reproduce:
-

Actual Results:
we doesn't have the same tooltips as toolbar names

Expected Results:
we'll have the same tooltips as toolbar names


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 V Stuart Foote 2019-06-15 21:06:03 UTC
Not clear this should be done piecemeal, and as the strings are localized/translated can be considerable difference between the UNO command name and its tooltip.
 
Also, either Tooltip or its extended tooltip (ahelp bug 118148 from local help when installed) are distinct from the UNO control name, and IMHO it is not incorrect for the short tooltip name not to match the control name.

Jay and Maxim had considerable discussion about how they all are handled in see also bug 108458 affecting the Customize dialog.

See attachment 141821 [details] from bug 122237 for a table of UNO commands any of which that could have naming issues as configured.

Not saying this does not need work, but it should probably not be done toolbar by toolbar.
Comment 2 Heiko Tietze 2019-06-17 11:51:38 UTC
I agree with Roman to aim for consistency. The topic arose after some floating widgets can be detached into own toolbars and those take the tooltip as name. 
Not a big deal for translators to adjust the tooltip equally to the name. In general, I would make tooltips more informative, though it makes not much sense here.
Comment 3 Heiko Tietze 2019-06-27 07:30:31 UTC
This idea is just about consistency - the tooltips for docked toolbar widgets should be the same as the title of the floating widget. Go for it.
Comment 4 Commit Notification 2019-07-04 12:06:09 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c7db4da4719a2c2a7be1b9c2538ac225d891fc50%5E%21

tdf#125939 Correct tooltips for tools on Drawing toolbar in Draw

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.